// Generated with util/create-component.js
import CardClass from './index'
import { OptionsType } from '../base'

export interface CardProps {
  _this?: CardClass;
  options?: CardOptionsType
}

export interface CardOptionsType extends OptionsType {
  type?: "Card"
  title?: string; // 卡片标题
  svgRadius?: boolean; // 特殊圆角 是否用svg绘制
  radiusColor?: string; // 圆角颜色
  radiusLength?: number; // 圆角长度
  radiusWidth?: number; // 圆角宽度
  radius?: number; // 圆角弧度
  borderWidth?: number; // 边框宽度
  borderColor?: string; // 边框颜色
  boxShadowIntensity?: number; // 边框发光强度
  boxShadowInset?: boolean; // 是否内发光
  headerBackground?: string; // 标题背景
  headerHeight?: number; // 标题高度
  headerSpace?: number; // 条纹间距
  bodyBackground?: string; // 背景颜色

  // 组件参数
}

export interface CardChildrenType extends OptionsType {
  id: string // 子组件ID
  // 子组件参数
}
